www.cendio.com
Bug 2075 - Provide signed Windows binaries
: Provide signed Windows binaries
Status: CLOSED FIXED
: ThinLinc
Client platforms
: 1.5.0
: PC Linux
: P2 Enhancement
: 4.0.0
Assigned To:
:
:
:
: 4433
  Show dependency treegraph
 
Reported: 2006-06-20 13:57 by
Modified: 2012-11-28 11:28 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2006-06-20 13:57:45
Perhaps we should provide "signed" Windows binaries. Currently, when installing
tlclient on Windows XP or Vista, this warning is printed:

"The publisher could not be verified. Are you sure you want to run this software? 
Name: tl-1.5.0-client-windows.exe
Publisher: Unknown Publisher"

I have no idea how, but I suppose we could sign our binaries, somehow.
------- Comment #1 From cendio 2006-06-22 14:05:06 -------
Check how difficult this is. 
------- Comment #6 From cendio 2012-10-15 16:23:39 -------
Looks easy, I'll make a quick try.
------- Comment #7 From cendio 2012-10-16 16:59:48 -------
Fixed in 26009. Will test with next build before closing.
------- Comment #8 From cendio 2012-10-17 14:26:37 -------
Seems to work great with build 3688. 

The tester should verify that Windows UAC says that the publisher is OK, as
well as check the Digital Signatures tab of the Properties on the file.
------- Comment #9 From cendio 2012-10-18 11:30:25 -------
Signature looks ok on both the client installer and the client customizer
installer. Checked on Windows 7 and Vista.